NSECRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class NSECRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.NSECRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class NSECRecord
      extends Record

  Next SECure name - this record contains the following name in an ordered list of names in the zone, and a set of types for which records exist for this name. The presence of this record in a response signifies a negative response from a DNSSEC-signed zone. This replaces the NXT record.
  Author:
    Brian Wellington, David Blacka
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NSECRecord(Name name, int dclass, long ttl, Name next, int[] types)` Creates an NSEC Record from the given data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Name` | `getNext()` Returns the next name
    `int[]` | `getTypes()` Returns the set of types defined for this name
    `boolean` | `hasType(int type)` Returns whether a specific type is in the set of types.

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NSECRecord

          public NSECRecord(Name name,
                    int dclass,
                    long ttl,
                    Name next,
                    int[] types)

      Creates an NSEC Record from the given data.
      Parameters:
        `next` - The following name in an ordered list of the zone
        `types` - An array containing the types present.

  - ### Method Detail

    - #### getNext

          public Name getNext()

      Returns the next name

    - #### getTypes

          public int[] getTypes()

      Returns the set of types defined for this name

    - #### hasType

          public boolean hasType(int type)

      Returns whether a specific type is in the set of types.